Bug 479007 - X wont start with i810 on dual head machine
X wont start with i810 on dual head machine
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-06 08:44 EST by Alexey Kuznetsov
Modified: 2009-12-04 12:57 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-04 12:57:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
x.log (1.11 KB, text/plain)
2009-01-06 08:45 EST, Alexey Kuznetsov
no flags Details
xorg.conf.new (3.68 KB, text/plain)
2009-01-06 08:45 EST, Alexey Kuznetsov
no flags Details
Xorg.0.log (49.02 KB, text/plain)
2009-01-07 04:40 EST, Alexey Kuznetsov
no flags Details
normal log without xorg.conf (155.61 KB, text/plain)
2009-01-07 04:43 EST, Alexey Kuznetsov
no flags Details

  None (edit)
Description Alexey Kuznetsov 2009-01-06 08:44:58 EST

    
Comment 1 Alexey Kuznetsov 2009-01-06 08:45:27 EST
Created attachment 328279 [details]
x.log
Comment 2 Alexey Kuznetsov 2009-01-06 08:45:58 EST
Created attachment 328280 [details]
xorg.conf.new
Comment 3 Matěj Cepl 2009-01-06 19:11:25 EST
Do you get at least one head when you rename /etc/X11/xorg.conf to something else? Could we get /var/log/Xorg.0.log from such attempt as well, please.

Thank you very much.
Comment 4 Alexey Kuznetsov 2009-01-07 04:26:32 EST
yes, one head works fine (with some broken screen/fonts sometimes, that never happens on fedora9). also when i do not use xorg.conf MIRROR mode works fine. but i unable to configure my i810 to use dual heads as xinerama or as two separate displays.

i also try to use gnome-display-properties. but that application also works wrong (only mirror mode). i will add additional info about this bug to gnome-display-properties to https://bugzilla.redhat.com/show_bug.cgi?id=465763. now lets talk about xorg.conf issues.
Comment 5 Alexey Kuznetsov 2009-01-07 04:40:58 EST
Created attachment 328359 [details]
Xorg.0.log
Comment 6 Alexey Kuznetsov 2009-01-07 04:43:18 EST
Created attachment 328360 [details]
normal log without xorg.conf
Comment 7 Matěj Cepl 2009-01-07 19:10:02 EST
This looks interesting:

(EE) intel(0): [drm] Failed to initialized agp heap manager
(EE) [drm] drmOpen failed.
(EE) intel(1): [dri] DRIScreenInit failed. Disabling DRI.
(EE) intel(1): Failed to allocate framebuffer. Is your VideoRAM set too low?
(EE) intel(1): Failed to allocate framebuffer. Is your VideoRAM set too low?
(EE) intel(1): Couldn't allocate video memory
Comment 8 Vedran Miletić 2009-11-05 18:12:07 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, including Intel driver, which may have resolved this issue.
To be more precise, Intel has undergone a major rewrite during Fedora 10, 11 and 12 cycles, and whole driver is working a lot better now. Users who have experienced this problem are encouraged to retry with at least Fedora 12 Beta and see if the issue is still relevant.

Please, if you experience this problem on Fedora 12 Beta or up-to-date system running Rawhide, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

We hope to see how many older bugs in Intel driver are still relevant today, in hope that most of them were fixed in rewrite process.

[This is a bulk message for all open Fedora 10 i810-related bugs (39 of them are still open). I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 9 Alexey Kuznetsov 2009-11-06 02:24:15 EST
f12 works with dual heads
Comment 10 Bug Zapper 2009-11-18 05:40:44 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Vedran Miletić 2009-12-04 12:57:34 EST
Thank you for your bug report.

We are sorry, but the Fedora Project is will soon stop longer releasing bug fixes or any other updates for this version of Fedora. There were so many changes between Fedora 10 and Fedora 12 in Intel driver and X.Org that it's very likely that this bug is fixed. This bug will be set to CLOSED:WONTFIX to reflect this, but please reopen it if the problem persists after upgrading to the latest version of Fedora (version 12), which is available from:

http://fedoraproject.org/get-fedora

Note You need to log in before you can comment on or make changes to this bug.